aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-11-16 16:13:12 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2016-11-16 16:14:00 +0100
commit408082608c10c78eeb7a143e36432151e25ad6a7 (patch)
tree6b52fd283ff441cb6d82611fb229a740c4e6a977
parent06c4742ba83f61aedb7ac5ceadcd501cfd65b934 (diff)
downloadaports-3.5.0_rc1.tar.gz
aports-3.5.0_rc1.tar.bz2
aports-3.5.0_rc1.tar.xz
community/emacs: disable on aarch64 due to build errorv3.5.0_rc1
Loading cus-start... Loading tooltip... Loading /home/buildozer/aports/community/emacs/src/emacs-25.1/x11/lisp/leim/leim-list.el (source)... Finding pointers to doc strings... Finding pointers to doc strings...done Dumping under the name emacs ************************************************** Warning: Your system has a gap between BSS and the heap (723494280 bytes). This usually means that exec-shield or something similar is in effect. The dump may fail because of this. See the section about exec-shield in etc/PROBLEMS for more information. ************************************************** make[1]: *** [Makefile:740: bootstrap-emacs] Segmentation fault make[1]: Leaving directory '/home/buildozer/aports/community/emacs/src/emacs-25.1/x11/src' make: *** [Makefile:398: src] Error 2
-rw-r--r--community/emacs/APKBUILD4
1 files changed, 2 insertions, 2 deletions
diff --git a/community/emacs/APKBUILD b/community/emacs/APKBUILD
index b2efeb8380..e3d5172c61 100644
--- a/community/emacs/APKBUILD
+++ b/community/emacs/APKBUILD
@@ -5,7 +5,7 @@ pkgname=emacs
pkgver=25.1
pkgrel=0
pkgdesc="The extensible, customizable, self-documenting real-time display editor"
-arch="all"
+arch="all !aarch64"
depends="emacs-nox"
url="http://www.gnu.org/software/emacs/emacs.html"
license="GPL3"
@@ -22,7 +22,7 @@ source="ftp://ftp.gnu.org/gnu/emacs/emacs-$pkgver.tar.xz
prepare() {
cd "$builddir/$1"
- default_prepare || return 1
+ default_prepare || return 1
./autogen.sh || return 1
}